fast_popen.h File Reference

Fast process invocation. More...

`#include <stdio.h>`

Go to the source code of this file.

## Functions

FILE * | fast_popen (const char *command)
| Fast process invocation.
int | fast_pclose (FILE *file)
| Conclude a fast process stream.

## Detailed Description

Fast process invocation.

## Function Documentation

## fast_popen()

FILE * fast_popen | ( | const char * | command | ) |

Fast process invocation.

fast_popen opens a process for execution, providing its output on a stream, just like the standard popen. However, fast_popen does not invoke the shell the interpret the command, which can be very time consuming. Thus, the command must be given as a full path, and may not include quotes, variables, or other features of the shell.

Parameters

  command | The command string to execute.

Returns
  A pointer to a file stream which must be closed with fast_pclose.

## fast_pclose()

int fast_pclose | ( | FILE * | file | ) |

Conclude a fast process stream.

Parameters

  file | A file pointer returned from fast_popen.

Returns
  The exit status of the process.